TAAS - Feature #90

Period Unlocking
11/02/2022 01:00 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 12/05/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 15:00 hours
Owner(Agency): Travvise Tested By: Amal Cyriac
Time Taken(HH): Code Reviewed By:

Module: Period Unlocking

Description

Coding Period Unlocking

History

#1 - 11/02/2022 01:04 PM - Anil KV

Points

1) Remove Debit and Credit Checkbox in account tab

2) Locking type items

Non Financial Lock, Debit Posting Lock, Credit Posting Lock, Settlement Lock
3) Locked type label changed to Unlocked

#2 - 11/02/2022 01:42 PM - Anil KV
- Module changed from Period Locking to Period Unlocking

#3 - 11/16/2022 11:02 AM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmlFile.htm| added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#4 - 11/17/2022 09:55 AM - Anil KV
- Assignee changed from Junaid M to Amal Siby

#5 - 12/05/2022 05:46 PM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#6 - 12/06/2022 06:01 PM - Amal Siby
- Status changed from Coding Started to Particialy Coding Done

Coding Completed.
To Do:

* In module tab, module tree widget needs to limit displaying module names. (Do after type key is added to menu service).
#7 - 12/08/2022 04:15 PM - Amal Siby
- Start date changed from 11/02/2022 to 12/05/2022

#8 - 01/11/2023 10:54 AM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.FIX BUGS ON DROP DOWN LABEL
(ACCOUNT DROP DOWN LABEL NOT DISPLAYED PROPERLY)

2.ACCOUNT INPUT BOX DISAPPEARING WHILE USE RAW/HEAD FILTER

#9 - 01/14/2023 10:05 AM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Bug fixed, Updated

#10 - 03/16/2023 05:17 PM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUND *****
1.Set proper alerts on date picker

#11 - 03/24/2023 06:21 PM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Reopen Coding Completed.
To Do:

In module tab, module tree widget needs to limit displaying module names. (Do after type key is added to menu service).

#12 - 04/18/2023 06:13 PM - Amal Siby
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

Module Selection completed.

#13 - 04/19/2023 06:24 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix errors on GUI refresher when redirected from Period Unlocking list
> Cant refresh GUI

> Error on console

#14 - 04/26/2023 06:13 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 07/22/2023 12:43 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

In Save -> Add Validation -> Check There is an active period lock record in given from, to date
#16 - 10/28/2023 06:27 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

On Hold Coding Completed.

#17 - 10/26/2024 10:13 AM - Arathy PS
- Assignee changed from Amal Siby to Nithin PM

#18 - 11/21/2024 09:46 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Can unlock a period without locking.

#19 - 11/22/2024 10:37 AM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 02/24/2025 02:13 PM - Arathy PS
- Assignee changed from Nithin PM to Greeshma S

#21 - 02/24/2025 02:22 PM - Arathy PS

- File clipboard-202502241419-b9ovz.png added

- File clipboard-202502241422-qi1re.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Unlocked period is not showing in the grid even after clicking load button.
2. Add translation to the grid title.

3. when try to save an already unlocked period.
#22 - 02/25/2025 06:36 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
2-tsModel.ts 1.35 KB 11/16/2022 Junaid M
1-CsModel.cs 2.32 KB 11/16/2022 Junaid M
3-CsFile.cs 8.08 KB 11/16/2022 Junaid M
4-CsControllerFile.cs 24.2 KB 11/16/2022 Junaid M
5-TsFile.ts 13.4 KB 11/16/2022 Junaid M
6-HtmiFile.html 1.91 KB 11/16/2022 Junaid M
sql.sql 11.3 KB 11/16/2022 Junaid M
clipboard-202502241419-b9ovz.png 94.3 KB 02/24/2025 Arathy PS
clipboard-202502241422-gi1re.png 94.5 KB 02/24/2025 Arathy PS
